Bug 151088 - cannot read end of CDROM because driver reports error reading ahead past end
cannot read end of CDROM because driver reports error reading ahead past end
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 14:36 EST by D. Hugh Redelmeier
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2005-03-14 14:36:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
It is well known that the ide-cd driver 2.6 gets the length of a CDROM
wrong.  Of course this is a bug that should be fixed.  I can work
around this, but another bug prevents me.  In particular, even though
I ask for just the last actual block, the driver tries to read ahead
and returns failure because the read ahead fails.  Reading just the
blocks I specified would have succeeded.

Surely, if a speculative readahead fails, it should not cause the
actual read to be reported as failing.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3

How reproducible:
depends on the CD.  If a particular CD fails, then it will always
fail, as far as I can tell.


Steps to Reproduce:
1.load a CD
2.read exactly the length of the CD that should be present.  Or
better, just read the last block:
dd if=/dev/hdd bs=2048 skip=284340 count=1 of=0

    

Actual Results:      dd: reading `/dev/hdd': Input/output error
    0+0 records in
    0+0 records out

dmesg shows:
    hdd: media error (bad sector): status=0x51 { DriveReady
SeekComplete Error!
    hdd: media error (bad sector): error=0x30
    ide: failed opcode was 100
    ATAPI device hdd:
      Error: Medium error -- (Sense key=0x03)
      Unrecovered read error -- (asc=0x11, ascq=0x00)
      The failed "Read 10" packet command was:
      "28 00 00 04 56 b4 00 00 21 00 00 00 00 00 00 00 "
    end_request: I/O error, dev hdd, sector 1137360
    Buffer I/O error on device hdd, logical block 284340


Expected Results:  no error

Additional info:

If you decode the ATAPI command in the diagnostic, you will see that
it is an attempt to read 33 sectors, not 1.  No wonder it fails.  Too
bad that the diagnostic doesn't specify which sector failed (as far as
I can tell).


See https://www.redhat.com/archives/fedora-list/2005-March/msg02774.html
and https://www.redhat.com/archives/fedora-list/2005-March/msg02818.html
Comment 1 Dave Jones 2005-07-15 15:52:17 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:34:11 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.